#if !defined(IIIMF_ROLE_DATA_SERVER_H)
#define IIIMF_ROLE_DATA_SERVER_H


#include <iiimp.h>


#ifdef	__cplusplus
extern "C" {
#endif


typedef struct {
    char *	service;
} IIIMF_role_data_server;


extern IIIMF_status	iiimf_role_data_server_new(
				const char *			service,
				IIIMF_role_data_server **	server);
extern void		iiimf_role_data_server_delete(
				IIIMF_role_data_server *	server);
const char *		iiimf_role_data_server_service(IIIMF_im * im);


#ifdef	__cplusplus
}
#endif

#endif /* !IIIMF_ROLE_DATA_SERVER_H */


/* Local Variables: */
/* c-file-style: "iiim-project" */
/* End: */
